aliyun_player_fluttify 0.1.0
aliyun_player_fluttify: ^0.1.0

Flutter Android iOS

A `Aliyun Player(阿里云播放器)` flutter plugin, Powered by `Fluttify` engine.

Logo

阿里云播放器 Flutter插件 #

Fluttify系列插件 #

名称描述仓库
高德地图高德地图地图组件, 提供地图控件pub package
高德定位高德地图定位组件, 提供独立的定位功能pub package
高德搜索高德地图搜索组件, 提供poi搜索等功能pub package
高德猎鹰高德地图猎鹰组件, 提供实时定位采集功能pub package
百度地图百度地图, 包含了地图控件, 定位以及搜索poi等功能pub package
百度人脸识别百度人脸识别, 提供活体检测等功能pub package
网易直播网易直播推流组件pub package
网易云信网易云信 IM组件pub package
腾讯直播腾讯直播, 包含推流组件和播放组件pub package
腾讯IM腾讯IM组件pub package
腾讯地图腾讯地图组件pub package
讯飞语音合成腾讯语言合成组件, 提供文字转语言功能pub package
极光统计极光统计组件, 提供异常上报等功能pub package
阿里云RTC阿里云实时音视频pub package
阿里云播放器阿里云播放器pub package
腾讯短视频腾讯短视频(UGC)pub package
环信环信IMpub package
未完待续...如有其它需求, 请联系qq 382146139fluttify

依赖 #

dependencies:
  flutter:
    sdk: flutter
  aliyun_player_fluttify: ^x.x.x

配置 #

iOS #

  1. 需要使能UiKitView, 在Info.plist中添加:
<key>io.flutter.embedded_views_preview</key>
<string>YES</string>
  1. Info.plist配置权限
<key>NSCameraUsageDescription</key>
<string>需要相机</string>

社区 #

QQ群

社区版与专业版 #

显示地图社区版专业版
设置数据源
准备播放
开始播放
暂停播放
停止播放
跳转到(不精准)☑️
重置☑️
自动播放☑️
循环播放☑️
静音☑️
音量控制☑️
倍速播放☑️
截图☑️
画面镜像模式☑️
画面旋转模式☑️
画面缩放模式☑️
事件回调☑️
列表播放☑️
视频下载☑️

LICENSE #

Copyright (C) 2020 yohom

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see https://www.gnu.org/licenses/.

0
likes
70
pub points
0%
popularity

A `Aliyun Player(阿里云播放器)` flutter plugin, Powered by `Fluttify` engine.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

yohombao@gmail.com

License

Apache 2.0 (LICENSE)

Dependencies

flutter, foundation_fluttify

More

Packages that depend on aliyun_player_fluttify